#pragma once

#include "game/sprite.hpp"

class Engendro : public Sprite {
   public:
    explicit Engendro(Jd8::Surface gfx, Uint16 x, Uint16 y);

    auto update() -> bool;

   protected:
    Uint8 vida_;
};
